/*                        window1.c
*/

#include <exec/types.h>
#include <intuition/intuition.h>

struct TextAttr NormFont = {
	(UBYTE *)"topaz.font",	/* Font Name		*/
	8,			/* Font Height		*/
	FS_NORMAL,		/* Style		*/
	FPF_ROMFONT };		/* Preferences		*/

#define NFONT	&NormFont

char credits0[] = "          SimGen Version 1.0";
char credits1[] = "           1989 Gregg Tavares";
char credits2[] = "Echidna                     CIS: 72411,2772";
char credits3[] = "3501 Jasmine Ave #15        BIX: echidna";
char credits4[] = "Los Angeles, CA  90034    PLINK: GreggT";

#define CTextS(line,text,next)	{2,0,JAM1,CX+1,CY+1+line*8,NFONT,(UBYTE *)text,next,}
#define CText(line,text,next)	{1,0,JAM1,CX,CY+line*8,NFONT,(UBYTE *)text,next,}
#define CX	8
#define	CY	3

struct IntuiText CIText[] = {
	CTextS(0,credits0,&CIText[1]),
	CText (0,credits0,&CIText[2]),
	CTextS(1,credits1,&CIText[3]),
	CText (1,credits1,&CIText[4]),
	CTextS(3,credits2,&CIText[5]),
	CText (3,credits2,&CIText[6]),
	CTextS(4,credits3,&CIText[7]),
	CText (4,credits3,&CIText[8]),
	CTextS(5,credits4,&CIText[9]),
	CText (5,credits4,NULL),
};

struct Image CImage = {
	0,0,360,56,2,NULL,0,3,NULL,
};

struct Gadget CGadget = {
	NULL,2,1,0,0,GADGIMAGE,NULL,BOOLGADGET,(APTR)&CImage,NULL,
	&CIText[0],NULL,NULL,0,NULL,
};

#define PWFLAGS SMART_REFRESH | ACTIVATE

#define IFLAGS1	MOUSEBUTTONS
#define IFLAGS2	NULL
#define IFLAGS	IFLAGS1 | IFLAGS2

struct NewWindow NewWindow =
{
/* --SHORT------------------------------------------------------------*/
/* LeftEdge    */	138,
/* Top Edge    */	 50,
/* Width       */	364,
/* Height      */	 58,
/* --UBYTE------------------------------------------------------------*/
/* DetailPen   */	  1,
/* BlockPen    */	  2,
/* --USHORT-----------------------------------------------------------*/
/* IDCMPFlags  */	IFLAGS,
/* --ULONG------------------------------------------------------------*/
/* Flags       */	PWFLAGS,
/* --struct Gadget * -------------------------------------------------*/
/* FirstGadget */	&CGadget,
/* --struct Image * --------------------------------------------------*/
/* CheckMark   */	NULL,
/* --UBYTE * ---------------------------------------------------------*/
/* Title       */	NULL,
/* --struct Screen * -------------------------------------------------*/
/* Screen      */	NULL,
/* --struct BitMap * -------------------------------------------------*/
/* BitMap      */	NULL,
/* --SHORT------------------------------------------------------------*/
/* MinWidth    */	0,
/* MinHeight   */	0,
/* MaxWidth    */	0,
/* MaxHeight   */	0,
/* --USHORT-----------------------------------------------------------*/
/* Type        */	WBENCHSCREEN

};

